curl --request POST \
--url https://cloud.memsource.com/web/api2/v1/projects/applyTemplate/{templateUid} \
--header 'Authorization: <api-key>' \
--header 'Content-Type: application/json' \
--data '
{
"name": "<string>",
"dateDue": "2023-11-07T05:31:56Z",
"note": "<string>",
"sourceLang": "<string>",
"targetLangs": [
"<string>"
],
"workflowSteps": [
{
"id": "<string>"
}
]
}
'import requests
url = "https://cloud.memsource.com/web/api2/v1/projects/applyTemplate/{templateUid}"
payload = {
"name": "<string>",
"dateDue": "2023-11-07T05:31:56Z",
"note": "<string>",
"sourceLang": "<string>",
"targetLangs": ["<string>"],
"workflowSteps": [{ "id": "<string>" }]
}
headers = {
"Authorization": "<api-key>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: '<api-key>', 'Content-Type': 'application/json'},
body: JSON.stringify({
name: '<string>',
dateDue: '2023-11-07T05:31:56Z',
note: '<string>',
sourceLang: '<string>',
targetLangs: ['<string>'],
workflowSteps: [{id: '<string>'}]
})
};
fetch('https://cloud.memsource.com/web/api2/v1/projects/applyTemplate/{templateUid}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"userRole": "<string>",
"dateCreated": "2023-11-07T05:31:56Z",
"dateDue": "2023-11-07T05:31:56Z",
"domain": {
"id": "<string>",
"name": "<string>",
"uid": "<string>"
},
"id": "<string>",
"internalId": 123,
"mtSettingsPerLanguageList": [
{
"targetLang": "<string>",
"machineTranslateSettings": {
"id": "<string>",
"name": "<string>",
"type": "<string>",
"uid": "<string>"
}
}
],
"name": "<string>",
"owner": {
"email": "<string>",
"firstName": "<string>",
"id": "<string>",
"lastName": "<string>",
"uid": "<string>",
"userName": "<string>"
},
"references": [
{
"createdBy": {
"email": "<string>",
"firstName": "<string>",
"id": "<string>",
"lastName": "<string>",
"uid": "<string>",
"userName": "<string>"
},
"dateCreated": "2023-11-07T05:31:56Z",
"filename": "<string>",
"id": "<string>",
"note": "<string>",
"uid": "<string>"
}
],
"sourceLang": "<string>",
"subDomain": {
"id": "<string>",
"name": "<string>",
"uid": "<string>"
},
"targetLangs": [
"<string>"
],
"uid": "<string>"
}Create project from template
Authorizations
Get a token from auth/login endpoint and then pass it in the Authorization HTTP header in every subsequent API call. For more information visit our help center.
Path Parameters
UID of the template
Body
Project to create
Response
Created
Base projectDto
Response differs based on user's role
Date and time the project was created
Project due date; null when the organization hides progress and status from non-linguist, non-bot callers.
Show child attributes
Show child attributes
Internal numeric identifier, encoded as a string
Organization-scoped sequential number shown in the UI project list
Machine translation settings per target language
Show child attributes
Show child attributes
Project name
Show child attributes
Show child attributes
Reference files attached to the project
Show child attributes
Show child attributes
Source language code
Show child attributes
Show child attributes
Target language codes
Unique identifier used in API paths
Was this page helpful?